Fix initial_page_content method to avoid referencing @page instance variable in wiki formatting

helpers

2024-04-02 09:34 - Takuya Kodama

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 6.0.0   

Description

The initial_page_content method in helpers mistakenly used the @page instance variable rather than the page argument provided to

it. Since the use of @page is unnecessary and not expected, we've updated the method to correctly utilize the page argument.

Associated revisions

Revision 22781 - 2024-04-10 04:48 - Go MAEDA

Fix initial_page_content method to avoid referencing @page instance variable in wiki formatting helpers (#40513).

Patch by Takuya Kodama (@otegami).

History

#1 - 2024-04-03 01:32 - Go MAEDA

- Target version set to 6.0.0

#2 - 2024-04-03 01:36 - Takuya Kodama

Thanks for your handling it:)

#3 - 2024-04-10 04:49 - Go MAEDA

- Subject changed from Refactor initial_page_content to directly use page parameter to Fix initial_page_content method to avoid referencing @page

instance variable in wiki formatting helpers

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix in r22781. Thank you.
